Create subscription discounts - Fabric

Create subscription discounts

cURL

curl --request POST \
  --url https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptionDiscount \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "validity": {
    "startDate": "2022-07-21T13:14:51.474Z",
    "endDate": "2022-07-21T13:14:51.474Z",
    "applyOnOrders": [
      2,
      3
    ]
  },
  "message": "Offer terms and conditions",
  "discount": {
    "amount": 10
  },
  "skus": [
    "MOBO-X570"
  ],
  "categories": [
    "holiday-best-sellers"
  ],
  "frequency": {
    "shippingFrequency": 1,
    "shippingFrequencyType": "daily",
    "billingFrequency": 1,
    "billingFrequencyType": "daily"
  },
  "itemQuantity": 1,
  "channel": "WEBSITE",
  "target": "PDP",
  "customerSegment": [
    "employee"
  ]
}
'

Example: Python

import requests

url = "https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptionDiscount"

payload = {
    "validity": {
        "startDate": "2022-07-21T13:14:51.474Z",
        "endDate": "2022-07-21T13:14:51.474Z",
        "applyOnOrders": [2, 3]
    },
    "message": "Offer terms and conditions",
    "discount": { "amount": 10 },
    "skus": ["MOBO-X570"],
    "categories": ["holiday-best-sellers"],
    "frequency": {
        "shippingFrequency": 1,
        "shippingFrequencyType": "daily",
        "billingFrequency": 1,
        "billingFrequencyType": "daily"
    },
    "itemQuantity": 1,
    "channel": "WEBSITE",
    "target": "PDP",
    "customerSegment": ["employee"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

Example: JavaScript Fetch

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    validity: {
      startDate: '2022-07-21T13:14:51.474Z',
      endDate: '2022-07-21T13:14:51.474Z',
      applyOnOrders: [2, 3]
    },
    message: 'Offer terms and conditions',
    discount: {amount: 10},
    skus: ['MOBO-X570'],
    categories: ['holiday-best-sellers'],
    frequency: {
      shippingFrequency: 1,
      shippingFrequencyType: 'daily',
      billingFrequency: 1,
      billingFrequencyType: 'daily'
    },
    itemQuantity: 1,
    channel: 'WEBSITE',
    target: 'PDP',
    customerSegment: ['employee']
  })
};

fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptionDiscount', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

HTTP Response Examples

Success (200)

{
  "responseStatus": "OK",
  "message": "Request processed successfully",
  "data": {
    "id": "62d9196aeec12800095633f2",
    "status": "ACTIVE",
    "offerCode": "SUB-D45DD7",
    "validity": {
      "startDate": "2022-07-21T13:14:51.474Z",
      "endDate": "2022-07-21T13:14:51.474Z",
      "applyOnOrders": [2, 3]
    },
    "message": "Offer terms and conditions",
    "discount": {
      "amount": 10
    },
    "skus": ["MOBO-X570"],
    "categories": ["holiday-best-sellers"],
    "frequency": {
      "shippingFrequency": 1,
      "shippingFrequencyType": "daily",
      "billingFrequency": 1,
      "billingFrequencyType": "daily"
    },
    "itemQuantity": 1,
    "channel": "WEBSITE",
    "target": "PDP",
    "customerSegment": ["employee"],
    "isDeleted": false,
    "DeletedAt": "2019-01-01T00:00:00.000Z",
    "createdAt": "2021-10-12T21:35:05.756Z",
    "updatedAt": "2021-10-14T05:40:55.997Z"
  }
}

Bad Request (400)

{
  "responseStatus": "BAD_REQUEST",
  "message": "Bad request"
}

Unauthorized (403)

{
  "Message": "User is not authorized to access this resource with an explicit deny"
}